<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.1" xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">
	<persistence-unit name="catalystJPA" transaction-type="RESOURCE_LOCAL">
		<class>eu.catalyst.memo.model.MarketplaceComponent</class>
		<class>eu.catalyst.memo.model.Participant</class>
		<class>eu.catalyst.memo.model.MarketplaceParticipant</class>
		<class>eu.catalyst.memo.model.Constraint</class>
		<class>eu.catalyst.memo.model.Correlation</class>
	    <class>eu.catalyst.memo.model.MarketactionCorrelation</class>
	    <class>eu.catalyst.memo.model.SystemParameter</class>
		
		
		<exclude-unlisted-classes>false</exclude-unlisted-classes>
		<properties>
            <property name="javax.persistence.jdbc.url"
                      value="jdbc:postgresql://memo_db:5432/memo_db"/>
            <property name="javax.persistence.jdbc.password"
                      value="memo_pwd"/>
            <property name="javax.persistence.jdbc.driver"
                      value="org.postgresql.Driver"/>
            <property name="javax.persistence.jdbc.user"
                      value="memo_user"/>
        </properties>
	</persistence-unit>
</persistence>
